//+------------------------------------------------------------------+
//|                                                      b-clock.mq4 |
//|                                     Core time code by Nick Bilak |
//|        http://metatrader.50webs.com/         beluck[at]gmail.com |
//|                                  modified by adoleh2000 and dwt5 | 
//+------------------------------------------------------------------+

#property copyright "Copyright  2005, Nick Bilak"
#property link      "http://metatrader.50webs.com/"

#property indicator_chart_window

extern int    Shift_Time = 0;
extern string Font_Type  = "Verdana Bold";
extern int    Font_Size  = 10;  
extern color  CLK_Color  = Aqua;

//---- buffers
double s1[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+

int init()

  {
   
  }
   return(0);
 //+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
     ObjectDelete("time");
 
//----
   return(0);
  } 
  
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {

	double i;
   int m,s,k;
   m=Time[0]+Period()*60-CurTime();
   i=m/60.0;
   s=m%60;
   m=(m-m%60)/60;
   
   string digit;
   if(s<10){digit="0";}
   else{digit="";}
	
	
   ObjectDelete("time");
   
   if(ObjectFind("time") != 0)
   {
   ObjectCreate("time", OBJ_TEXT, 0,customTime(Shift_Time), Bid);
   ObjectSetText("time", "           "+m+":"+digit+""+s, Font_Size,Font_Type, CLK_Color);
   }   else
   {
   ObjectMove("time", 0, customTime(Shift_Time),  Bid);
   }


   return(0);
  }
  
  
  int customTime(int a)
  {
  if(a<0)
  return(Time[0]+Period()*60*MathAbs(a));
  else return(Time[a]); 
  }

//+------------------------------------------------------------------+


